## remind 04.02.03

=== Makefile ===
# Top-level Makefile for Remind.
# SPDX-License-Identifier: GPL-2.0-only

all: src/Makefile
	@echo ""
	@echo "*******************"
	@echo "*                 *"
	@echo "* Building REMIND *"
	@echo "*                 *"
	@echo "*******************"
	@echo ""
	@cd src && $(MAKE) all LANGDEF=$(LANGDEF)
	@$(MAKE) -C rem2pdf -f Makefile.top
install:
	@echo ""
	@echo "**********************************"
	@echo "*                                *"
	@echo "* Installing REMIND (unstripped) *"
	@echo "*                                *"
	@echo "**********************************"
	@echo ""
	@$(MAKE) -C src install
	@$(MAKE) -C rem2html install
	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)
clean:
	find . -name '*~' -exec rm {} \;
	-rm man/rem.1 man/rem2ps.1 man/remind.1 man/tkremind.1
	-$(MAKE) -C src clean
	-$(MAKE) -C rem2pdf clean

install-stripped:
	@echo ""
	@echo "********************************"
	@echo "*                              *"
	@echo "* Installing REMIND (stripped) *"
	@echo "*                              *"
	@echo "**********************************"
	@echo ""
	@$(MAKE) -C src install-stripped
	@$(MAKE) -C rem2html install
	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)

test:
	@$(MAKE) -C src -s test

distclean: clean
	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf

src/Makefile: src/Makefile.in
	./configure

# DO NOT DELETE

=== debian/changelog ===
remind (04.02.03-4) unstable; urgency=medium

  * Add upstream solution for reproducible TZ in tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Feb 2023 15:00:38 +0100

remind (04.02.03-3) unstable; urgency=medium

  * unexport TZ to fix tests in reproducible builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Feb 2023 09:19:20 +0100

remind (04.02.03-2) unstable; urgency=medium

  * Add upstream patch to avoid segfault
  * Revert "Drop locale exports (fixed upstream)"
  * Add upstream patch to show test errors

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Feb 2023 22:14:13 +0100

remind (04.02.03-1) unstable; urgency=medium

  * New upstream version 04.02.03
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Feb 2023 19:54:27 +0100

remind (04.02.02-3) unstable; urgency=medium

  * Add missing build dependency on tzdata (Closes: #1029463)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Jan 2023 08:07:52 +0100

remind (04.02.02-2) unstable; urgency=medium

  * Remove tests failing on 32bit

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jan 2023 10:20:47 +0100

remind (04.02.02-1) unstable; urgency=medium

  * Drop old Debian menu file
  * New upstream version 04.02.02
  * Update d/copyright
  * Bump policy version (no changes)
  * Rebase patch
  * Improve package description

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jan 2023 08:32:32 +0100

remind (04.02.01-1) unstable; urgency=medium

  * New upstream version 04.02.01

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 15 Dec 2022 19:22:35 +0100

remind (04.02.00-1) unstable; urgency=medium

  * New upstream version 04.02.00
  * Drop locale exports (fixed upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Oct 2022 17:17:40 +0200

remind (04.01.00-1) unstable; urgency=medium

  * New upstream version 04.01.00
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Sep 2022 20:16:09 +0200

=== debian/control ===
Source: remind
Section: utils
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://dianne.skoll.ca/projects/remind/
Vcs-Git: https://salsa.debian.org/debian/remind.git
Vcs-Browser: https://salsa.debian.org/debian/remind
Description: sophisticated calendar and alarm program
 Remind allows you to remind yourself of upcoming events and
 appointments.  Each reminder or alarm can consist of a message sent
 to standard output, or a program to be executed.
 .
 It also features: sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, PostScript output, tcl/tk
 front-end and proper handling of holidays.

Package: remind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: remind-tools
Suggests: tkremind, wyrd
Description: ${source:Synopsis} - remind executable
 ${source:Extended-Description}
 .
 Reminders can be created by the remind scripting language or by using
 the graphical frontend package "tkremind".

Package: remind-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libjson-maybexs-perl, libpango-perl, libcairo-perl
Breaks: remind (<< 03.04.01-2)
Replaces: remind (<< 03.04.01-2)
Description: ${source:Synopsis} - rem2ps, 2pdf, 2html tools
 ${source:Extended-Description}
 .
 Tools to convert the remind output to ps, pdf or html as well as example
 files.

Package: tkremind
Architecture: all
Depends: remind, tk, tcllib, inotify-tools, ${misc:Depends}
Description: ${source:Synopsis} - Tk GUI interface
 ${source:Extended-Description}
 .
 Tkremind provides a GUI which allows viewing a calendar and adding or editing
 reminders without learning the syntax of Remind.

## remind 04.02.05

=== debian/changelog ===
remind (04.02.05-1) unstable; urgency=medium

  * New upstream version 04.02.05
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Jun 2023 10:48:06 +0200

## remind 04.02.09

=== debian/changelog ===
remind (04.02.09-1) unstable; urgency=medium

  * New upstream version 04.02.09
  * Update d/copyright
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 05 Feb 2024 06:29:08 +0100

remind (04.02.08-1) unstable; urgency=medium

  * New upstream version 04.02.08
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 14 Dec 2023 22:35:28 +0100

remind (04.02.07-1) unstable; urgency=medium

  * New upstream version 04.02.07

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 Oct 2023 16:37:52 +0200

remind (04.02.06-1) unstable; urgency=medium

  * Take over maintainership, thanks Ana for your work!
  * New upstream version 04.02.06
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Sep 2023 21:03:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: remind
 Section: utils
 Priority: optional
-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>
+Maintainer: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## remind 04.03.01

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	@$(MAKE) -C src -s test
 
 distclean: clean
-	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf
+	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf rem2html/rem2html
 
 src/Makefile: src/Makefile.in
 	./configure

=== debian/changelog ===
remind (04.03.01-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:28:15 +1100

remind (04.03.01-1) unstable; urgency=medium

  * New upstream version 04.03.01
  * Rediff patches
  * Install desktop file (Closes: #694648)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Mar 2024 09:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: remind
 Section: utils
 Priority: optional
-Maintainer: Jochen Sprickerhof <jspricke@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## remind 05.00.01

=== debian/changelog ===
remind (05.00.01-1) unstable; urgency=medium

  * New upstream version 05.00.01

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Jun 2024 21:53:41 +0200

remind (05.00.00-1) unstable; urgency=medium

  * New upstream version 05.00.00

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Jun 2024 17:02:56 +0200

remind (04.03.07-1) unstable; urgency=medium

  * New upstream version 04.03.07
  * Bump policy version (no changes)
  * Stop disabling failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Apr 2024 05:00:58 +0200

remind (04.03.06-1) unstable; urgency=medium

  * New upstream version 04.03.06
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Apr 2024 15:16:21 +0200

remind (04.03.04-1) unstable; urgency=medium

  * New upstream version 04.03.04
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Mar 2024 16:43:01 +0100

remind (04.03.03-1) unstable; urgency=medium

  * New upstream version 04.03.03
  * Rediff patches
  * Update tkremind install dirs (fixed upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Mar 2024 09:20:49 +0100

## remind 05.00.02

=== debian/changelog ===
remind (05.00.02-1) unstable; urgency=medium

  * New upstream version 05.00.02
  * Fix typo in manpage

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jul 2024 14:17:48 +0200

## remind 05.00.06

=== debian/changelog ===
remind (05.00.06-1) unstable; urgency=medium

  * New upstream version 05.00.06
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Sep 2024 16:37:18 +0200

remind (05.00.05-1) unstable; urgency=medium

  * New upstream version 05.00.05

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Sep 2024 21:17:56 +0200

remind (05.00.04-1) unstable; urgency=medium

  * New upstream version 05.00.04

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Aug 2024 14:33:00 +0200

remind (05.00.03-1) unstable; urgency=medium

  * New upstream version 05.00.03
  * Drop Fix typo in manpage patch (merged upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Aug 2024 07:08:21 +0200

## remind 05.00.07

=== debian/changelog ===
remind (05.00.07-1) unstable; urgency=medium

  * New upstream version 05.00.07
  * Update d/copyright
  * Fix autoreconf

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Oct 2024 22:19:12 +0200

## remind 05.02.02

=== debian/changelog ===
remind (05.02.02-1) unstable; urgency=medium

  * New upstream version 05.02.02
  * Update d/copyright
  * Update README filename

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jan 2025 09:13:05 +0100

remind (05.02.01-1) unstable; urgency=medium

  * New upstream version 05.02.01

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Dec 2024 09:12:56 +0100

remind (05.02.00-1) unstable; urgency=medium

  * New upstream version 05.02.00

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Dec 2024 15:52:04 +0100

remind (05.01.01-1) unstable; urgency=medium

  * New upstream version 05.01.01
  * Drop 0002-Fix-remind-call-in-test.patch: Fixed upstream

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Nov 2024 17:14:18 +0100

remind (05.01.00-1) unstable; urgency=medium

  * New upstream version 05.01.00
  * Update d/copyright
  * Drop 0002-Fix-autoreconf.patch: Fixed upstream
  * Fix `remind` call in test

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Nov 2024 16:26:29 +0100

## remind 05.02.03

=== debian/changelog ===
remind (05.02.03-1) unstable; urgency=medium

  * New upstream version 05.02.03
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Jan 2025 18:08:08 +0100

## remind 05.03.02

=== debian/changelog ===
remind (05.03.02-1) unstable; urgency=medium

  * New upstream version 05.03.02

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 09 Feb 2025 18:53:30 +0100

remind (05.03.01-1) unstable; urgency=medium

  * New upstream version 05.03.01

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Feb 2025 19:23:39 +0100

remind (05.03.00-1) unstable; urgency=medium

  * New upstream version 05.03.00

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 04 Feb 2025 20:42:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: remind
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jochen Sprickerhof <jspricke@debian.org>
+Maintainer: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs docs/WHATSNEW

## remind 05.03.04

=== debian/changelog ===
remind (05.03.04-1) unstable; urgency=medium

  * New upstream version 05.03.04

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Mar 2025 09:14:31 +0100

remind (05.03.03-1) unstable; urgency=medium

  * New upstream version 05.03.03
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Mar 2025 17:52:16 +0100

## remind 05.03.05

=== debian/changelog ===
remind (05.03.05-1) unstable; urgency=medium

  * New upstream version 05.03.05
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Mar 2025 19:14:19 +0100

## remind 05.03.06

=== debian/changelog ===
remind (05.03.06-1) unstable; urgency=medium

  * New upstream version 05.03.06

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Apr 2025 17:15:42 +0200

## remind 05.03.07

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	@$(MAKE) -C rem2html install
 	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)
 clean:
-	find . -name '*~' -exec rm {} \;
-	-rm man/rem.1 man/rem2ps.1 man/remind.1 man/tkremind.1
+	-find . -name '*~' -exec rm {} \;
 	-$(MAKE) -C src clean
 	-$(MAKE) -C rem2pdf clean
 
@@ -44,7 +43,9 @@
 	@$(MAKE) -C src -s test
 
 distclean: clean
-	rm -f config.cache config.log config.status src/Makefile src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf rem2html/rem2html
+	-rm -f config.cache config.log config.status src/Makefile src/version.h src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf rem2html/rem2html
+	-rm -f man/rem.1 man/rem2ps.1 man/remind.1 man/tkremind.1 scripts/tkremind
+	-rm -rf autom4te.cache rem2html/Makefile rem2html/rem2html.1
 
 src/Makefile: src/Makefile.in
 	./configure

=== debian/changelog ===
remind (05.03.07-1) unstable; urgency=medium

  * New upstream version 05.03.07

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 06 May 2025 20:21:28 +0200

=== debian/watch ===
version=4
https://dianne.skoll.ca/projects/remind \
/projects/remind/download/remind-([\d.]*)\.tar\.gz

## remind 05.05.00

=== debian/changelog ===
remind (05.05.00-1) unstable; urgency=medium

  * New upstream version 05.05.00
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 10 Aug 2025 11:04:32 +0200

## remind 06.00.00

=== debian/changelog ===
remind (06.00.00-1) unstable; urgency=medium

  * New upstream version 06.00.00
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Aug 2025 20:58:05 +0200

## remind 06.00.01

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,9 @@
 test:
 	@$(MAKE) -C src -s test
 
+cppcheck:
+	@$(MAKE) -C src cppcheck
+
 distclean: clean
 	-rm -f config.cache config.log config.status src/Makefile src/version.h src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf rem2html/rem2html
 	-rm -f man/rem.1 man/rem2ps.1 man/remind.1 man/tkremind.1 scripts/tkremind

=== debian/changelog ===
remind (06.00.01-1) unstable; urgency=medium

  * New upstream version 06.00.01
    - fixes buffer overflow in DUMPVARS (Closes: #1111581)
  * Add new libreadline-dev build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Aug 2025 19:27:58 +0200

## remind 06.00.02

=== debian/changelog ===
remind (06.00.02-1) unstable; urgency=medium

  * New upstream version 06.00.02

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 01 Sep 2025 16:15:48 +0200

## remind 06.01.00

=== tests/Makefile ===
%:
	@make -s -C.. $@

=== debian/changelog ===
remind (06.01.00-1) unstable; urgency=medium

  * New upstream version 06.01.00
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 08 Sep 2025 19:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata, libreadline-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git

## remind 06.01.01

=== debian/changelog ===
remind (06.01.01-1) unstable; urgency=medium

  * New upstream version 06.01.01

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Sep 2025 17:09:52 +0200

## remind 06.01.02

=== debian/changelog ===
remind (06.01.02-1) unstable; urgency=medium

  * New upstream version 06.01.02

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Sep 2025 09:54:16 +0200

## remind 06.01.03

=== debian/changelog ===
remind (06.01.03-1) unstable; urgency=medium

  * New upstream version 06.01.03

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Sep 2025 22:05:30 +0200

## remind 06.01.04

=== debian/changelog ===
remind (06.01.04-1) unstable; urgency=medium

  * New upstream version 06.01.04

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 08 Oct 2025 16:57:03 +0200

## remind 06.01.05

=== debian/changelog ===
remind (06.01.05-1) unstable; urgency=medium

  * New upstream version 06.01.05
  * Drop R³
  * Switch to d/watch v5

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 Oct 2025 18:30:54 +0200

## remind 06.01.06

=== debian/changelog ===
remind (06.01.06-1) unstable; urgency=medium

  * New upstream version 06.01.06

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Oct 2025 19:25:53 +0200

## remind 06.01.07

=== debian/changelog ===
remind (06.01.07-1) unstable; urgency=medium

  * New upstream version 06.01.07

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Oct 2025 21:16:58 +0200

## remind 06.01.08

=== debian/changelog ===
remind (06.01.08-1) unstable; urgency=medium

  * New upstream version 06.01.08
  * Add Autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 27 Oct 2025 17:28:15 +0100

## remind 06.02.00

=== Makefile ===
--- 
+++ 
@@ -39,14 +39,21 @@
 	@$(MAKE) -C rem2html install
 	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)
 
-test:
-	@$(MAKE) -C src -s test
+test: test-basic test-tz
+
+test-tz:
+	@$(MAKE) -C src -s all
+	@$(MAKE) -C src -s test-tz
+
+test-basic:
+	@$(MAKE) -C src -s all
+	@$(MAKE) -C src -s test-basic
 
 cppcheck:
 	@$(MAKE) -C src cppcheck
 
 distclean: clean
-	-rm -f config.cache config.log config.status src/Makefile src/version.h src/config.h tests/test.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf rem2html/rem2html
+	-rm -f config.cache config.log config.status src/Makefile src/version.h src/config.h tests/test.out tests/tz.out www/Makefile rem2pdf/Makefile.top rem2pdf/Makefile.old rem2pdf/Makefile rem2pdf/Makefile.PL rem2pdf/bin/rem2pdf rem2html/rem2html
 	-rm -f man/rem.1 man/rem2ps.1 man/remind.1 man/tkremind.1 scripts/tkremind
 	-rm -rf autom4te.cache rem2html/Makefile rem2html/rem2html.1

=== tests/Makefile ===
test:
	@make -s -C.. test
%:
	@make -s -C.. $@

=== contrib/rem2ics-0.93/Makefile ===
DESTDIR?=
PREFIX?=/usr
BINDIR?=$(PREFIX)/bin
MANDIR?=$(PREFIX)/share/man

default: rem2ics.1

rem2ics.1:
	pod2man -c "" rem2ics > rem2ics.1

install: rem2ics.1
	install -p -D rem2ics $(DESTDIR)$(BINDIR)/rem2ics
	install -p -D -m 0644 rem2ics.1 $(DESTDIR)$(MANDIR)/man1/rem2ics.1

=== debian/changelog ===
remind (06.02.00-1) unstable; urgency=medium

  * New upstream version 06.02.00
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 04 Nov 2025 05:44:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata, libreadline-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git
 Vcs-Browser: https://salsa.debian.org/debian/remind

=== debian/tests/control ===
Test-Command: find man -type f -exec sh -c 'mv $0 ${0%.in}' {} \;; REMIND_CMD=remind REM2PS=rem2ps sh tests/test-rem
Depends: remind, remind-tools, tzdata

=== debian/watch ===
Version: 5

Source: https://dianne.skoll.ca/projects/remind
Matching-Pattern: /projects/remind/download/remind-([\d.]*)\.tar\.gz

## remind 06.02.01

=== debian/changelog ===
remind (06.02.01-1) unstable; urgency=medium

  * New upstream version 06.02.01

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 10 Nov 2025 18:34:01 +0100

## remind 06.02.02

=== debian/changelog ===
remind (06.02.02-1) unstable; urgency=medium

  * Drop inotify-tools dependency.
    Thanks to Dianne Skoll
  * New upstream version 06.02.02
  * Update d/copyright
  * Drop optional priority
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Jan 2026 17:43:52 +0100

## remind 06.02.03

=== debian/changelog ===
remind (06.02.03-1) unstable; urgency=medium

  * New upstream version 06.02.03

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 05 Feb 2026 16:30:30 +0100

## remind 06.02.04

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,33 @@
 	@echo ""
 	@cd src && $(MAKE) all LANGDEF=$(LANGDEF)
 	@$(MAKE) -C rem2pdf -f Makefile.top
+
+uninstall-script:
+	@echo "" >&2
+	@echo "*****************************" >&2
+	@echo "*                           *" >&2
+	@echo "* Creating Uninstall Script *" >&2
+	@echo "*                           *" >&2
+	@echo "*****************************" >&2
+	@echo "" >&2
+
+	@echo "#!/bin/sh"
+	@echo "echo 'This script will uninstall Remind'"
+	@echo "echo 'Enter y to uninstall Remind or anything else to abort'"
+	@echo "read ans"
+	@echo 'if test "$$ans" != "y" ; then'
+	@echo "    echo 'NOT uninstalling Remind'"
+	@echo "    exit 0"
+	@echo "fi"
+	@echo "echo 'Uninstalling Remind...'"
+	-@rm -rf `pwd`/.uninstall-dir > /dev/null 2>&1
+	@mkdir `pwd`/.uninstall-dir >&2
+	@$(MAKE) install DESTDIR=`pwd`/.uninstall-dir >&2
+	@cd `pwd`/.uninstall-dir && find . -type f | while read x ; do x=`echo $$x | sed -e 's|^\./|/|'`; echo "rm -f $$x"; done;
+	@echo "echo 'Done'"
+	-@rm -rf `pwd`/.uninstall-dir > /dev/null 2>&1
+
+
 install:
 	@echo ""
 	@echo "**********************************"
@@ -19,9 +46,9 @@
 	@echo "*                                *"
 	@echo "**********************************"
 	@echo ""
-	@$(MAKE) -C src install
-	@$(MAKE) -C rem2html install
-	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)
+	@$(MAKE) -C src install DESTDIR=$(DESTDIR)
+	@$(MAKE) -C rem2html install DESTDIR=$(DESTDIR)
+	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE) DESTDIR=$(DESTDIR)
 clean:
 	-find . -name '*~' -exec rm {} \;
 	-$(MAKE) -C src clean
@@ -35,9 +62,9 @@
 	@echo "*                              *"
 	@echo "**********************************"
 	@echo ""
-	@$(MAKE) -C src install-stripped
-	@$(MAKE) -C rem2html install
-	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE)
+	@$(MAKE) -C src install-stripped DESTDIR=$(DESTDIR)
+	@$(MAKE) -C rem2html install DESTDIR=$(DESTDIR)
+	@$(MAKE) -C rem2pdf -f Makefile.top install INSTALL_BASE=$(INSTALL_BASE) DESTDIR=$(DESTDIR)
 
 test: test-basic test-tz

=== debian/changelog ===
remind (06.02.04-1) unstable; urgency=medium

  * New upstream version 06.02.04

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Feb 2026 05:51:56 +0100

## remind 06.02.05

=== debian/changelog ===
remind (06.02.05-1) unstable; urgency=medium

  * New upstream version 06.02.05

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Mar 2026 17:12:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: remind
 Section: utils
-Priority: optional
 Maintainer: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), libjsonparser-dev, libjson-maybexs-perl, libpango-perl, libcairo-perl, tzdata, libreadline-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://dianne.skoll.ca/projects/remind/
 Vcs-Git: https://salsa.debian.org/debian/remind.git
 Vcs-Browser: https://salsa.debian.org/debian/remind
@@ -40,7 +39,7 @@
 
 Package: tkremind
 Architecture: all
-Depends: remind, tk, tcllib, inotify-tools, ${misc:Depends}
+Depends: remind, tk, tcllib, ${misc:Depends}
 Description: ${source:Synopsis} - Tk GUI interface
  ${source:Extended-Description}
  .
